# Maintainer: Deron Parker <WkdWeWIyNHVaR1YyUUhCaGNtdGxjbk11WTJNSwo=> # base64 encoded twice

pkgname=wshowkeys-git
_pkgname=wshowkeys
pkgver=r5.e8bfc78
pkgrel=1
pkgdesc='Displays keypresses on screen on supported Wayland compositors'
arch=(x86_64)
url=https://github.com/ammgws/wshowkeys
license=(custom:borgbackup-license)
# https://github.com/ammgws/wshowkeys?tab=readme-ov-file#installation
depends=(cairo libinput pango udev wayland libxkbcommon)
provides=(wshowkeys)
conflicts=(wshowkeys)
options=(strip !debug)

prepare() {
	git clone https://github.com/ammgws/wshowkeys.git $_pkgname
}

build() {
	cd $_pkgname
	meson build
	ninja -C build
}

pkgver() {
	cd $_pkgname
	printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short=7 HEAD)"
}

package() {
	cd $_pkgname
	chown root:root "build/$_pkgname"
	# uses setuid bit, install at your own risk
	install -Dm4755 "build/$_pkgname" "$pkgdir/usr/local/bin/$_pkgname"
}
